Page MenuHomePhabricator

Don't put arbitrary extension attributes in the top level extension.json schema
Closed, ResolvedPublic

Description

We should namespace them somehow, as well as provide validation of their expected types.

This will allow us to set additionalProperties: false in the top level of the schema.

This would be part of manifest_version 2, and somehow need back-compat.

Event Timeline

Legoktm created this task.Apr 26 2016, 1:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2016, 1:18 AM
Legoktm claimed this task.Dec 17 2016, 12:06 AM

Change 327882 had a related patch set uploaded (by Legoktm):
[WIP] registration: Move attributes out of the top level

https://gerrit.wikimedia.org/r/327882

(sid)km@km-tp:~/projects/gerrit/mediawiki/extensions$ git submodule foreach "../validate.sh" | grep v2
BlockAndNuke validates against the v2 schema!
DiscussionThreading validates against the v2 schema!
Echo validates against the v2 schema!
Flow validates against the v2 schema!
GeoData validates against the v2 schema!
GlobalBlocking validates against the v2 schema!
JsonConfig validates against the v2 schema!
LiquidThreads validates against the v2 schema!
OAuth validates against the v2 schema!
PageImages validates against the v2 schema!
PagedTiffHandler validates against the v2 schema!
StopForumSpam validates against the v2 schema!
ThrottleOverride validates against the v2 schema!
TorBlock validates against the v2 schema!
ZeroBanner validates against the v2 schema!
ZeroPortal validates against the v2 schema!
timeline validates against the v2 schema!

I only had to patch ZeroBanner and ZeroPortal to be compatible with this change. Better than I was expecting!

Change 327882 merged by jenkins-bot:
[mediawiki/core@master] registration: Move attributes out of the top level

https://gerrit.wikimedia.org/r/327882

Change 354029 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@REL1_29] registration: Move attributes out of the top level

https://gerrit.wikimedia.org/r/354029

Change 354029 merged by jenkins-bot:
[mediawiki/core@REL1_29] registration: Move attributes out of the top level

https://gerrit.wikimedia.org/r/354029

Legoktm closed this task as Resolved.May 23 2017, 4:16 AM